# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Resident Evil 3 Remake Template

game: Resident Evil 3 Remake
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Resident Evil 3 Remake:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  character:
    # Jill: Was almost a sandwich.
    jill: 50

  scenario:
    # A: Capcom did us dirty for this one.
    a: 50

  difficulty:
    # Standard: Most people should play on this.
    # Hardcore: Slightly tougher, but not by much. 
    # Nightmare: It actually rains zombies, Kappa
    # Inferno: Hope your name isn't Gohan, because you need to dodge... a lot
    standard: 50
    hardcore: 0
    nightmare: 0
    inferno: 0

  unlocked_typewriters:
    # Specify the exact name of typewriters from the warp buttons in-game, as a YAML array.
    []

  starting_hip_pouches:
    # The number of hip pouches you want to start the game with, to a max of 3. 
    # Any that you start with are taken out of the item pool and replaced with junk.
    # 
    # Pockets: Equivalent of zero starting hip pouches. 
    # Fanny pack: Equivalent of one starting hip pouch. 
    # Purse: Equivalent of two starting hip pouches.
    # Backpack: Equivalent of three starting hip pouches.
    pockets: 50
    fanny_pack: 0
    purse: 0
    backpack: 0

  bonus_start:
    # Some players might want to start with a little help in the way of a few extra heal items and packs of ammo.
    # This will give you grenades instead of ammo if Oops All Grenades option is set.
    # 
    # False: Normal, don't start with extra heal items and packs of ammo.
    # True: Start with those helper items.
    'false': 50
    'true': 0

  early_fire_hose:
    # Receiving Fire Hose late can lead to some intense BK.
    # This option will place it early to lower the odds of BK.
    # 
    # False: Normal, will place it anywhere in the world and you may be waiting a bit to progress.
    # True: Will place it in Sphere 1 of the world, and should prevent lengthy BK.
    'false': 50
    'true': 0

  extra_sewer_items:
    # Not getting Battery Pack or Kendo Gate Key early can lead to the same situation.
    # This option adds an extra set of these items so the odds of BK are lower.
    # 
    # False: Normal, only 1 of each are in the item pool.
    # True: Now, 2 of each are in the item pool.
    'false': 50
    'true': 0

  allow_missable_locations:
    # Accidentally skipping item locations early can lead to softlocking as certain story triggers make it impossible to backtrack. 
    # This option seeks to avoid that by limiting item placements.
    # 
    # False: (Default) Will place items so they are not permanently missable.
    # This severely limits where progression can be to prevent softlocking of any kind. 
    # Will also remove progression for others if multiworld.
    # 
    # True: Progression can be placed in locations that can be missed if story progresses too far, you've been warned.
    # 
    # NOTE - This option only affects *YOUR* game. Your progression can still be in someone else's if they have this option enabled.
    'false': 50
    'true': 0

  allow_progression_in_nest:
    # While next to impossible to skip anything in NEST, it would certainly feel bad if someone's Morph Ball ended up there.
    # This option will completely remove progression from being at your end game, including the ten locations in Nemesis Final Fight. 
    # 
    # False: (Default) Will place useful/junk items into NEST, the non-randomized locations will stay the same.
    # 
    # True: Progression can be placed in NEST, remind everyone it was your fault when you are holding them hostage.
    'false': 50
    'true': 0

  ammo_pack_modifier:
    # This option, when set, will modify the quantity of ammo in each ammo pack. This can make the game easier or much, much harder.
    # The available options are:
    # 
    # None: You realized that consistency in ammo pack quantities is one of the few true joys in life, and this causes you to not modify them at all.
    # Max: Each ammo pack will contain the maximum amount of ammo that the game allows. (i.e., you will never, ever run out of ammo.)
    # Double: Each ammo pack will contain twice as much ammo as it normally contains.
    # Half: Each ammo pack will contain half as much ammo as it normally contains.
    # Only Three: Each ammo pack will have an ammo count of 3.
    # Only Two: Each ammo pack will have an ammo count of 2.
    # Only One: Each ammo pack will have an ammo count of 1. (Yes, your Handgun Ammo pack will have a single bullet in it.)
    # Random By Type: Each ammo type's ammo pack will have a random quantity of ammo, and you will get that same quantity of ammo from every pack for that ammo type.
    #     (For example, you receive a Shotgun Shells pack that has a random quantity of 7 ammo. All Shotgun Shells packs will have a quantity of 7.)
    # Random Always: Each ammo pack will have a random quantity of ammo, and that quantity will be randomized every time.
    #     (For example, you receive a Shotgun Shells pack that has a random quantity of 7 ammo. Your next Shotgun Shells pack has a quantity of 4, next has 2, etc.)
    # 
    # NOTE: The options for "Only Three", "Only Two", "Only One", "Random By Type", and "Random Always" are not guaranteed to be reasonably beatable.
    none: 50
    max: 0
    double: 0
    half: 0
    only_three: 0
    only_two: 0
    only_one: 0
    random_by_type: 0
    random_always: 0

  oops_all_grenades:
    # Enabling this swaps all weapons, ammo, subweapons, upgrades and explosive/gunpowder to Grenades.
    # (Except your starting weapon)
    'false': 50
    'true': 0

  oops_all_handguns:
    # Enabling this swaps all weapons, ammo, subweapons, upgrades and explosive/gunpowder to Handgun Ammo.
    # (Except your starting weapon and it's upgrades, and the G18 Handgun)
    'false': 50
    'true': 0

  no_first_aid_spray:
    # Enabling this swaps all first aid sprays to filler or less useful items.
    'false': 50
    'true': 0

  no_green_herb:
    # Enabling this swaps all green herbs to filler or less useful items.
    'false': 50
    'true': 0

  no_red_herb:
    # Enabling this swaps all red herbs to filler or less useful items.
    'false': 50
    'true': 0

  no_gunpowder:
    # Enabling this swaps all gunpowder of all types to filler or less useful items.
    'false': 50
    'true': 0

  add_damage_traps:
    # Enabling this adds traps to your game that, when received, deal 1 health state of damage to you. e.g., if you're "Fine", first one puts you in "Caution". 
    # By default, these traps cannot kill you, but the "Damage Traps Can Kill" option can make them lethal.
    'false': 50
    'true': 0

  damage_trap_count:
    # While the "AddDamageTraps" option is enabled, this option specifies how many of this trap should be placed.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 30
    10: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-30: 0 # random value between 0 and 30
    disabled: 0 # equivalent to 0
    half: 0 # equivalent to 15
    all: 0 # equivalent to 30

  damage_traps_can_kill:
    # Enabling this while "Add Damage Traps" is enabled will allow the damage traps to drop your health state below "Danger". As in, they can kill you.
    'false': 50
    'true': 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_inventory_from_pool:
    # Start with the specified amount of these items and don't place them in the world. Example: "Bomb: 1"
    # 
    # The game decides what the replacement items will be.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
